import * as redux from 'redux';
import * as _reduxjs_toolkit from '@reduxjs/toolkit';
import * as immer from 'immer';

declare const sliceName = "app";
declare const initialState: {
    cancelSource: undefined;
    demoArtifactLink: string;
    hostAddress: null;
    snackbar: {
        open: boolean;
        message: string;
        maxWidth: number;
        autoHideDuration: undefined;
        action: undefined;
        children: undefined;
        onClick: undefined;
        onClose: undefined;
    };
    features: {
        hasAuditlogs: boolean;
        hasDeltaProgress: boolean;
        hasMultitenancy: boolean;
        hasDeviceConfig: boolean;
        hasDeviceConnect: boolean;
        hasFeedbackEnabled: boolean;
        hasMonitor: boolean;
        hasReporting: boolean;
        isDemoMode: boolean;
        isHosted: boolean;
        isEnterprise: boolean;
    };
    feedbackProbability: number;
    firstLoginAfterSignup: boolean;
    hostedAnnouncement: string;
    docsVersion: string;
    recaptchaSiteKey: string;
    searchState: {
        deviceIds: never[];
        searchTerm: string;
        searchTotal: number;
        sort: {
            direction: string;
        };
    };
    stripeAPIKey: string;
    trackerCode: string;
    uploadsById: {};
    newThreshold: string;
    offlineThreshold: string;
    versionInformation: {
        Integration: string;
        'Mender-Client': string;
        'Mender-Artifact': string;
        'Meta-Mender': string;
        Deployments: string;
        Deviceauth: string;
        Inventory: string;
        GUI: string;
    };
    yesterday: undefined;
};
declare const appSlice: _reduxjs_toolkit.Slice<{
    cancelSource: undefined;
    demoArtifactLink: string;
    hostAddress: null;
    snackbar: {
        open: boolean;
        message: string;
        maxWidth: number;
        autoHideDuration: undefined;
        action: undefined;
        children: undefined;
        onClick: undefined;
        onClose: undefined;
    };
    features: {
        hasAuditlogs: boolean;
        hasDeltaProgress: boolean;
        hasMultitenancy: boolean;
        hasDeviceConfig: boolean;
        hasDeviceConnect: boolean;
        hasFeedbackEnabled: boolean;
        hasMonitor: boolean;
        hasReporting: boolean;
        isDemoMode: boolean;
        isHosted: boolean;
        isEnterprise: boolean;
    };
    feedbackProbability: number;
    firstLoginAfterSignup: boolean;
    hostedAnnouncement: string;
    docsVersion: string;
    recaptchaSiteKey: string;
    searchState: {
        deviceIds: never[];
        searchTerm: string;
        searchTotal: number;
        sort: {
            direction: string;
        };
    };
    stripeAPIKey: string;
    trackerCode: string;
    uploadsById: {};
    newThreshold: string;
    offlineThreshold: string;
    versionInformation: {
        Integration: string;
        'Mender-Client': string;
        'Mender-Artifact': string;
        'Meta-Mender': string;
        Deployments: string;
        Deviceauth: string;
        Inventory: string;
        GUI: string;
    };
    yesterday: undefined;
}, {
    setFeatures: (state: immer.WritableDraft<{
        cancelSource: undefined;
        demoArtifactLink: string;
        hostAddress: null;
        snackbar: {
            open: boolean;
            message: string;
            maxWidth: number;
            autoHideDuration: undefined;
            action: undefined;
            children: undefined;
            onClick: undefined;
            onClose: undefined;
        };
        features: {
            hasAuditlogs: boolean;
            hasDeltaProgress: boolean;
            hasMultitenancy: boolean;
            hasDeviceConfig: boolean;
            hasDeviceConnect: boolean;
            hasFeedbackEnabled: boolean;
            hasMonitor: boolean;
            hasReporting: boolean;
            isDemoMode: boolean;
            isHosted: boolean;
            isEnterprise: boolean;
        };
        feedbackProbability: number;
        firstLoginAfterSignup: boolean;
        hostedAnnouncement: string;
        docsVersion: string;
        recaptchaSiteKey: string;
        searchState: {
            deviceIds: never[];
            searchTerm: string;
            searchTotal: number;
            sort: {
                direction: string;
            };
        };
        stripeAPIKey: string;
        trackerCode: string;
        uploadsById: {};
        newThreshold: string;
        offlineThreshold: string;
        versionInformation: {
            Integration: string;
            'Mender-Client': string;
            'Mender-Artifact': string;
            'Meta-Mender': string;
            Deployments: string;
            Deviceauth: string;
            Inventory: string;
            GUI: string;
        };
        yesterday: undefined;
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setSnackbar: (state: immer.WritableDraft<{
        cancelSource: undefined;
        demoArtifactLink: string;
        hostAddress: null;
        snackbar: {
            open: boolean;
            message: string;
            maxWidth: number;
            autoHideDuration: undefined;
            action: undefined;
            children: undefined;
            onClick: undefined;
            onClose: undefined;
        };
        features: {
            hasAuditlogs: boolean;
            hasDeltaProgress: boolean;
            hasMultitenancy: boolean;
            hasDeviceConfig: boolean;
            hasDeviceConnect: boolean;
            hasFeedbackEnabled: boolean;
            hasMonitor: boolean;
            hasReporting: boolean;
            isDemoMode: boolean;
            isHosted: boolean;
            isEnterprise: boolean;
        };
        feedbackProbability: number;
        firstLoginAfterSignup: boolean;
        hostedAnnouncement: string;
        docsVersion: string;
        recaptchaSiteKey: string;
        searchState: {
            deviceIds: never[];
            searchTerm: string;
            searchTotal: number;
            sort: {
                direction: string;
            };
        };
        stripeAPIKey: string;
        trackerCode: string;
        uploadsById: {};
        newThreshold: string;
        offlineThreshold: string;
        versionInformation: {
            Integration: string;
            'Mender-Client': string;
            'Mender-Artifact': string;
            'Meta-Mender': string;
            Deployments: string;
            Deviceauth: string;
            Inventory: string;
            GUI: string;
        };
        yesterday: undefined;
    }>, { payload }: {
        payload: any;
        type: string;
    }) => void;
    setFirstLoginAfterSignup: (state: immer.WritableDraft<{
        cancelSource: undefined;
        demoArtifactLink: string;
        hostAddress: null;
        snackbar: {
            open: boolean;
            message: string;
            maxWidth: number;
            autoHideDuration: undefined;
            action: undefined;
            children: undefined;
            onClick: undefined;
            onClose: undefined;
        };
        features: {
            hasAuditlogs: boolean;
            hasDeltaProgress: boolean;
            hasMultitenancy: boolean;
            hasDeviceConfig: boolean;
            hasDeviceConnect: boolean;
            hasFeedbackEnabled: boolean;
            hasMonitor: boolean;
            hasReporting: boolean;
            isDemoMode: boolean;
            isHosted: boolean;
            isEnterprise: boolean;
        };
        feedbackProbability: number;
        firstLoginAfterSignup: boolean;
        hostedAnnouncement: string;
        docsVersion: string;
        recaptchaSiteKey: string;
        searchState: {
            deviceIds: never[];
            searchTerm: string;
            searchTotal: number;
            sort: {
                direction: string;
            };
        };
        stripeAPIKey: string;
        trackerCode: string;
        uploadsById: {};
        newThreshold: string;
        offlineThreshold: string;
        versionInformation: {
            Integration: string;
            'Mender-Client': string;
            'Mender-Artifact': string;
            'Meta-Mender': string;
            Deployments: string;
            Deviceauth: string;
            Inventory: string;
            GUI: string;
        };
        yesterday: undefined;
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setAnnouncement: (state: immer.WritableDraft<{
        cancelSource: undefined;
        demoArtifactLink: string;
        hostAddress: null;
        snackbar: {
            open: boolean;
            message: string;
            maxWidth: number;
            autoHideDuration: undefined;
            action: undefined;
            children: undefined;
            onClick: undefined;
            onClose: undefined;
        };
        features: {
            hasAuditlogs: boolean;
            hasDeltaProgress: boolean;
            hasMultitenancy: boolean;
            hasDeviceConfig: boolean;
            hasDeviceConnect: boolean;
            hasFeedbackEnabled: boolean;
            hasMonitor: boolean;
            hasReporting: boolean;
            isDemoMode: boolean;
            isHosted: boolean;
            isEnterprise: boolean;
        };
        feedbackProbability: number;
        firstLoginAfterSignup: boolean;
        hostedAnnouncement: string;
        docsVersion: string;
        recaptchaSiteKey: string;
        searchState: {
            deviceIds: never[];
            searchTerm: string;
            searchTotal: number;
            sort: {
                direction: string;
            };
        };
        stripeAPIKey: string;
        trackerCode: string;
        uploadsById: {};
        newThreshold: string;
        offlineThreshold: string;
        versionInformation: {
            Integration: string;
            'Mender-Client': string;
            'Mender-Artifact': string;
            'Meta-Mender': string;
            Deployments: string;
            Deviceauth: string;
            Inventory: string;
            GUI: string;
        };
        yesterday: undefined;
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setSearchState: (state: immer.WritableDraft<{
        cancelSource: undefined;
        demoArtifactLink: string;
        hostAddress: null;
        snackbar: {
            open: boolean;
            message: string;
            maxWidth: number;
            autoHideDuration: undefined;
            action: undefined;
            children: undefined;
            onClick: undefined;
            onClose: undefined;
        };
        features: {
            hasAuditlogs: boolean;
            hasDeltaProgress: boolean;
            hasMultitenancy: boolean;
            hasDeviceConfig: boolean;
            hasDeviceConnect: boolean;
            hasFeedbackEnabled: boolean;
            hasMonitor: boolean;
            hasReporting: boolean;
            isDemoMode: boolean;
            isHosted: boolean;
            isEnterprise: boolean;
        };
        feedbackProbability: number;
        firstLoginAfterSignup: boolean;
        hostedAnnouncement: string;
        docsVersion: string;
        recaptchaSiteKey: string;
        searchState: {
            deviceIds: never[];
            searchTerm: string;
            searchTotal: number;
            sort: {
                direction: string;
            };
        };
        stripeAPIKey: string;
        trackerCode: string;
        uploadsById: {};
        newThreshold: string;
        offlineThreshold: string;
        versionInformation: {
            Integration: string;
            'Mender-Client': string;
            'Mender-Artifact': string;
            'Meta-Mender': string;
            Deployments: string;
            Deviceauth: string;
            Inventory: string;
            GUI: string;
        };
        yesterday: undefined;
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setOfflineThreshold: (state: immer.WritableDraft<{
        cancelSource: undefined;
        demoArtifactLink: string;
        hostAddress: null;
        snackbar: {
            open: boolean;
            message: string;
            maxWidth: number;
            autoHideDuration: undefined;
            action: undefined;
            children: undefined;
            onClick: undefined;
            onClose: undefined;
        };
        features: {
            hasAuditlogs: boolean;
            hasDeltaProgress: boolean;
            hasMultitenancy: boolean;
            hasDeviceConfig: boolean;
            hasDeviceConnect: boolean;
            hasFeedbackEnabled: boolean;
            hasMonitor: boolean;
            hasReporting: boolean;
            isDemoMode: boolean;
            isHosted: boolean;
            isEnterprise: boolean;
        };
        feedbackProbability: number;
        firstLoginAfterSignup: boolean;
        hostedAnnouncement: string;
        docsVersion: string;
        recaptchaSiteKey: string;
        searchState: {
            deviceIds: never[];
            searchTerm: string;
            searchTotal: number;
            sort: {
                direction: string;
            };
        };
        stripeAPIKey: string;
        trackerCode: string;
        uploadsById: {};
        newThreshold: string;
        offlineThreshold: string;
        versionInformation: {
            Integration: string;
            'Mender-Client': string;
            'Mender-Artifact': string;
            'Meta-Mender': string;
            Deployments: string;
            Deviceauth: string;
            Inventory: string;
            GUI: string;
        };
        yesterday: undefined;
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    initUpload: (state: immer.WritableDraft<{
        cancelSource: undefined;
        demoArtifactLink: string;
        hostAddress: null;
        snackbar: {
            open: boolean;
            message: string;
            maxWidth: number;
            autoHideDuration: undefined;
            action: undefined;
            children: undefined;
            onClick: undefined;
            onClose: undefined;
        };
        features: {
            hasAuditlogs: boolean;
            hasDeltaProgress: boolean;
            hasMultitenancy: boolean;
            hasDeviceConfig: boolean;
            hasDeviceConnect: boolean;
            hasFeedbackEnabled: boolean;
            hasMonitor: boolean;
            hasReporting: boolean;
            isDemoMode: boolean;
            isHosted: boolean;
            isEnterprise: boolean;
        };
        feedbackProbability: number;
        firstLoginAfterSignup: boolean;
        hostedAnnouncement: string;
        docsVersion: string;
        recaptchaSiteKey: string;
        searchState: {
            deviceIds: never[];
            searchTerm: string;
            searchTotal: number;
            sort: {
                direction: string;
            };
        };
        stripeAPIKey: string;
        trackerCode: string;
        uploadsById: {};
        newThreshold: string;
        offlineThreshold: string;
        versionInformation: {
            Integration: string;
            'Mender-Client': string;
            'Mender-Artifact': string;
            'Meta-Mender': string;
            Deployments: string;
            Deviceauth: string;
            Inventory: string;
            GUI: string;
        };
        yesterday: undefined;
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    uploadProgress: (state: immer.WritableDraft<{
        cancelSource: undefined;
        demoArtifactLink: string;
        hostAddress: null;
        snackbar: {
            open: boolean;
            message: string;
            maxWidth: number;
            autoHideDuration: undefined;
            action: undefined;
            children: undefined;
            onClick: undefined;
            onClose: undefined;
        };
        features: {
            hasAuditlogs: boolean;
            hasDeltaProgress: boolean;
            hasMultitenancy: boolean;
            hasDeviceConfig: boolean;
            hasDeviceConnect: boolean;
            hasFeedbackEnabled: boolean;
            hasMonitor: boolean;
            hasReporting: boolean;
            isDemoMode: boolean;
            isHosted: boolean;
            isEnterprise: boolean;
        };
        feedbackProbability: number;
        firstLoginAfterSignup: boolean;
        hostedAnnouncement: string;
        docsVersion: string;
        recaptchaSiteKey: string;
        searchState: {
            deviceIds: never[];
            searchTerm: string;
            searchTotal: number;
            sort: {
                direction: string;
            };
        };
        stripeAPIKey: string;
        trackerCode: string;
        uploadsById: {};
        newThreshold: string;
        offlineThreshold: string;
        versionInformation: {
            Integration: string;
            'Mender-Client': string;
            'Mender-Artifact': string;
            'Meta-Mender': string;
            Deployments: string;
            Deviceauth: string;
            Inventory: string;
            GUI: string;
        };
        yesterday: undefined;
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    cleanUpUpload: (state: immer.WritableDraft<{
        cancelSource: undefined;
        demoArtifactLink: string;
        hostAddress: null;
        snackbar: {
            open: boolean;
            message: string;
            maxWidth: number;
            autoHideDuration: undefined;
            action: undefined;
            children: undefined;
            onClick: undefined;
            onClose: undefined;
        };
        features: {
            hasAuditlogs: boolean;
            hasDeltaProgress: boolean;
            hasMultitenancy: boolean;
            hasDeviceConfig: boolean;
            hasDeviceConnect: boolean;
            hasFeedbackEnabled: boolean;
            hasMonitor: boolean;
            hasReporting: boolean;
            isDemoMode: boolean;
            isHosted: boolean;
            isEnterprise: boolean;
        };
        feedbackProbability: number;
        firstLoginAfterSignup: boolean;
        hostedAnnouncement: string;
        docsVersion: string;
        recaptchaSiteKey: string;
        searchState: {
            deviceIds: never[];
            searchTerm: string;
            searchTotal: number;
            sort: {
                direction: string;
            };
        };
        stripeAPIKey: string;
        trackerCode: string;
        uploadsById: {};
        newThreshold: string;
        offlineThreshold: string;
        versionInformation: {
            Integration: string;
            'Mender-Client': string;
            'Mender-Artifact': string;
            'Meta-Mender': string;
            Deployments: string;
            Deviceauth: string;
            Inventory: string;
            GUI: string;
        };
        yesterday: undefined;
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setVersionInformation: (state: immer.WritableDraft<{
        cancelSource: undefined;
        demoArtifactLink: string;
        hostAddress: null;
        snackbar: {
            open: boolean;
            message: string;
            maxWidth: number;
            autoHideDuration: undefined;
            action: undefined;
            children: undefined;
            onClick: undefined;
            onClose: undefined;
        };
        features: {
            hasAuditlogs: boolean;
            hasDeltaProgress: boolean;
            hasMultitenancy: boolean;
            hasDeviceConfig: boolean;
            hasDeviceConnect: boolean;
            hasFeedbackEnabled: boolean;
            hasMonitor: boolean;
            hasReporting: boolean;
            isDemoMode: boolean;
            isHosted: boolean;
            isEnterprise: boolean;
        };
        feedbackProbability: number;
        firstLoginAfterSignup: boolean;
        hostedAnnouncement: string;
        docsVersion: string;
        recaptchaSiteKey: string;
        searchState: {
            deviceIds: never[];
            searchTerm: string;
            searchTotal: number;
            sort: {
                direction: string;
            };
        };
        stripeAPIKey: string;
        trackerCode: string;
        uploadsById: {};
        newThreshold: string;
        offlineThreshold: string;
        versionInformation: {
            Integration: string;
            'Mender-Client': string;
            'Mender-Artifact': string;
            'Meta-Mender': string;
            Deployments: string;
            Deviceauth: string;
            Inventory: string;
            GUI: string;
        };
        yesterday: undefined;
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setEnvironmentData: (state: immer.WritableDraft<{
        cancelSource: undefined;
        demoArtifactLink: string;
        hostAddress: null;
        snackbar: {
            open: boolean;
            message: string;
            maxWidth: number;
            autoHideDuration: undefined;
            action: undefined;
            children: undefined;
            onClick: undefined;
            onClose: undefined;
        };
        features: {
            hasAuditlogs: boolean;
            hasDeltaProgress: boolean;
            hasMultitenancy: boolean;
            hasDeviceConfig: boolean;
            hasDeviceConnect: boolean;
            hasFeedbackEnabled: boolean;
            hasMonitor: boolean;
            hasReporting: boolean;
            isDemoMode: boolean;
            isHosted: boolean;
            isEnterprise: boolean;
        };
        feedbackProbability: number;
        firstLoginAfterSignup: boolean;
        hostedAnnouncement: string;
        docsVersion: string;
        recaptchaSiteKey: string;
        searchState: {
            deviceIds: never[];
            searchTerm: string;
            searchTotal: number;
            sort: {
                direction: string;
            };
        };
        stripeAPIKey: string;
        trackerCode: string;
        uploadsById: {};
        newThreshold: string;
        offlineThreshold: string;
        versionInformation: {
            Integration: string;
            'Mender-Client': string;
            'Mender-Artifact': string;
            'Meta-Mender': string;
            Deployments: string;
            Deviceauth: string;
            Inventory: string;
            GUI: string;
        };
        yesterday: undefined;
    }>, action: {
        payload: any;
        type: string;
    }) => any;
}, "app", "app", _reduxjs_toolkit.SliceSelectors<{
    cancelSource: undefined;
    demoArtifactLink: string;
    hostAddress: null;
    snackbar: {
        open: boolean;
        message: string;
        maxWidth: number;
        autoHideDuration: undefined;
        action: undefined;
        children: undefined;
        onClick: undefined;
        onClose: undefined;
    };
    features: {
        hasAuditlogs: boolean;
        hasDeltaProgress: boolean;
        hasMultitenancy: boolean;
        hasDeviceConfig: boolean;
        hasDeviceConnect: boolean;
        hasFeedbackEnabled: boolean;
        hasMonitor: boolean;
        hasReporting: boolean;
        isDemoMode: boolean;
        isHosted: boolean;
        isEnterprise: boolean;
    };
    feedbackProbability: number;
    firstLoginAfterSignup: boolean;
    hostedAnnouncement: string;
    docsVersion: string;
    recaptchaSiteKey: string;
    searchState: {
        deviceIds: never[];
        searchTerm: string;
        searchTotal: number;
        sort: {
            direction: string;
        };
    };
    stripeAPIKey: string;
    trackerCode: string;
    uploadsById: {};
    newThreshold: string;
    offlineThreshold: string;
    versionInformation: {
        Integration: string;
        'Mender-Client': string;
        'Mender-Artifact': string;
        'Meta-Mender': string;
        Deployments: string;
        Deviceauth: string;
        Inventory: string;
        GUI: string;
    };
    yesterday: undefined;
}>>;
declare const actions: _reduxjs_toolkit.CaseReducerActions<{
    setFeatures: (state: immer.WritableDraft<{
        cancelSource: undefined;
        demoArtifactLink: string;
        hostAddress: null;
        snackbar: {
            open: boolean;
            message: string;
            maxWidth: number;
            autoHideDuration: undefined;
            action: undefined;
            children: undefined;
            onClick: undefined;
            onClose: undefined;
        };
        features: {
            hasAuditlogs: boolean;
            hasDeltaProgress: boolean;
            hasMultitenancy: boolean;
            hasDeviceConfig: boolean;
            hasDeviceConnect: boolean;
            hasFeedbackEnabled: boolean;
            hasMonitor: boolean;
            hasReporting: boolean;
            isDemoMode: boolean;
            isHosted: boolean;
            isEnterprise: boolean;
        };
        feedbackProbability: number;
        firstLoginAfterSignup: boolean;
        hostedAnnouncement: string;
        docsVersion: string;
        recaptchaSiteKey: string;
        searchState: {
            deviceIds: never[];
            searchTerm: string;
            searchTotal: number;
            sort: {
                direction: string;
            };
        };
        stripeAPIKey: string;
        trackerCode: string;
        uploadsById: {};
        newThreshold: string;
        offlineThreshold: string;
        versionInformation: {
            Integration: string;
            'Mender-Client': string;
            'Mender-Artifact': string;
            'Meta-Mender': string;
            Deployments: string;
            Deviceauth: string;
            Inventory: string;
            GUI: string;
        };
        yesterday: undefined;
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setSnackbar: (state: immer.WritableDraft<{
        cancelSource: undefined;
        demoArtifactLink: string;
        hostAddress: null;
        snackbar: {
            open: boolean;
            message: string;
            maxWidth: number;
            autoHideDuration: undefined;
            action: undefined;
            children: undefined;
            onClick: undefined;
            onClose: undefined;
        };
        features: {
            hasAuditlogs: boolean;
            hasDeltaProgress: boolean;
            hasMultitenancy: boolean;
            hasDeviceConfig: boolean;
            hasDeviceConnect: boolean;
            hasFeedbackEnabled: boolean;
            hasMonitor: boolean;
            hasReporting: boolean;
            isDemoMode: boolean;
            isHosted: boolean;
            isEnterprise: boolean;
        };
        feedbackProbability: number;
        firstLoginAfterSignup: boolean;
        hostedAnnouncement: string;
        docsVersion: string;
        recaptchaSiteKey: string;
        searchState: {
            deviceIds: never[];
            searchTerm: string;
            searchTotal: number;
            sort: {
                direction: string;
            };
        };
        stripeAPIKey: string;
        trackerCode: string;
        uploadsById: {};
        newThreshold: string;
        offlineThreshold: string;
        versionInformation: {
            Integration: string;
            'Mender-Client': string;
            'Mender-Artifact': string;
            'Meta-Mender': string;
            Deployments: string;
            Deviceauth: string;
            Inventory: string;
            GUI: string;
        };
        yesterday: undefined;
    }>, { payload }: {
        payload: any;
        type: string;
    }) => void;
    setFirstLoginAfterSignup: (state: immer.WritableDraft<{
        cancelSource: undefined;
        demoArtifactLink: string;
        hostAddress: null;
        snackbar: {
            open: boolean;
            message: string;
            maxWidth: number;
            autoHideDuration: undefined;
            action: undefined;
            children: undefined;
            onClick: undefined;
            onClose: undefined;
        };
        features: {
            hasAuditlogs: boolean;
            hasDeltaProgress: boolean;
            hasMultitenancy: boolean;
            hasDeviceConfig: boolean;
            hasDeviceConnect: boolean;
            hasFeedbackEnabled: boolean;
            hasMonitor: boolean;
            hasReporting: boolean;
            isDemoMode: boolean;
            isHosted: boolean;
            isEnterprise: boolean;
        };
        feedbackProbability: number;
        firstLoginAfterSignup: boolean;
        hostedAnnouncement: string;
        docsVersion: string;
        recaptchaSiteKey: string;
        searchState: {
            deviceIds: never[];
            searchTerm: string;
            searchTotal: number;
            sort: {
                direction: string;
            };
        };
        stripeAPIKey: string;
        trackerCode: string;
        uploadsById: {};
        newThreshold: string;
        offlineThreshold: string;
        versionInformation: {
            Integration: string;
            'Mender-Client': string;
            'Mender-Artifact': string;
            'Meta-Mender': string;
            Deployments: string;
            Deviceauth: string;
            Inventory: string;
            GUI: string;
        };
        yesterday: undefined;
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setAnnouncement: (state: immer.WritableDraft<{
        cancelSource: undefined;
        demoArtifactLink: string;
        hostAddress: null;
        snackbar: {
            open: boolean;
            message: string;
            maxWidth: number;
            autoHideDuration: undefined;
            action: undefined;
            children: undefined;
            onClick: undefined;
            onClose: undefined;
        };
        features: {
            hasAuditlogs: boolean;
            hasDeltaProgress: boolean;
            hasMultitenancy: boolean;
            hasDeviceConfig: boolean;
            hasDeviceConnect: boolean;
            hasFeedbackEnabled: boolean;
            hasMonitor: boolean;
            hasReporting: boolean;
            isDemoMode: boolean;
            isHosted: boolean;
            isEnterprise: boolean;
        };
        feedbackProbability: number;
        firstLoginAfterSignup: boolean;
        hostedAnnouncement: string;
        docsVersion: string;
        recaptchaSiteKey: string;
        searchState: {
            deviceIds: never[];
            searchTerm: string;
            searchTotal: number;
            sort: {
                direction: string;
            };
        };
        stripeAPIKey: string;
        trackerCode: string;
        uploadsById: {};
        newThreshold: string;
        offlineThreshold: string;
        versionInformation: {
            Integration: string;
            'Mender-Client': string;
            'Mender-Artifact': string;
            'Meta-Mender': string;
            Deployments: string;
            Deviceauth: string;
            Inventory: string;
            GUI: string;
        };
        yesterday: undefined;
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setSearchState: (state: immer.WritableDraft<{
        cancelSource: undefined;
        demoArtifactLink: string;
        hostAddress: null;
        snackbar: {
            open: boolean;
            message: string;
            maxWidth: number;
            autoHideDuration: undefined;
            action: undefined;
            children: undefined;
            onClick: undefined;
            onClose: undefined;
        };
        features: {
            hasAuditlogs: boolean;
            hasDeltaProgress: boolean;
            hasMultitenancy: boolean;
            hasDeviceConfig: boolean;
            hasDeviceConnect: boolean;
            hasFeedbackEnabled: boolean;
            hasMonitor: boolean;
            hasReporting: boolean;
            isDemoMode: boolean;
            isHosted: boolean;
            isEnterprise: boolean;
        };
        feedbackProbability: number;
        firstLoginAfterSignup: boolean;
        hostedAnnouncement: string;
        docsVersion: string;
        recaptchaSiteKey: string;
        searchState: {
            deviceIds: never[];
            searchTerm: string;
            searchTotal: number;
            sort: {
                direction: string;
            };
        };
        stripeAPIKey: string;
        trackerCode: string;
        uploadsById: {};
        newThreshold: string;
        offlineThreshold: string;
        versionInformation: {
            Integration: string;
            'Mender-Client': string;
            'Mender-Artifact': string;
            'Meta-Mender': string;
            Deployments: string;
            Deviceauth: string;
            Inventory: string;
            GUI: string;
        };
        yesterday: undefined;
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setOfflineThreshold: (state: immer.WritableDraft<{
        cancelSource: undefined;
        demoArtifactLink: string;
        hostAddress: null;
        snackbar: {
            open: boolean;
            message: string;
            maxWidth: number;
            autoHideDuration: undefined;
            action: undefined;
            children: undefined;
            onClick: undefined;
            onClose: undefined;
        };
        features: {
            hasAuditlogs: boolean;
            hasDeltaProgress: boolean;
            hasMultitenancy: boolean;
            hasDeviceConfig: boolean;
            hasDeviceConnect: boolean;
            hasFeedbackEnabled: boolean;
            hasMonitor: boolean;
            hasReporting: boolean;
            isDemoMode: boolean;
            isHosted: boolean;
            isEnterprise: boolean;
        };
        feedbackProbability: number;
        firstLoginAfterSignup: boolean;
        hostedAnnouncement: string;
        docsVersion: string;
        recaptchaSiteKey: string;
        searchState: {
            deviceIds: never[];
            searchTerm: string;
            searchTotal: number;
            sort: {
                direction: string;
            };
        };
        stripeAPIKey: string;
        trackerCode: string;
        uploadsById: {};
        newThreshold: string;
        offlineThreshold: string;
        versionInformation: {
            Integration: string;
            'Mender-Client': string;
            'Mender-Artifact': string;
            'Meta-Mender': string;
            Deployments: string;
            Deviceauth: string;
            Inventory: string;
            GUI: string;
        };
        yesterday: undefined;
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    initUpload: (state: immer.WritableDraft<{
        cancelSource: undefined;
        demoArtifactLink: string;
        hostAddress: null;
        snackbar: {
            open: boolean;
            message: string;
            maxWidth: number;
            autoHideDuration: undefined;
            action: undefined;
            children: undefined;
            onClick: undefined;
            onClose: undefined;
        };
        features: {
            hasAuditlogs: boolean;
            hasDeltaProgress: boolean;
            hasMultitenancy: boolean;
            hasDeviceConfig: boolean;
            hasDeviceConnect: boolean;
            hasFeedbackEnabled: boolean;
            hasMonitor: boolean;
            hasReporting: boolean;
            isDemoMode: boolean;
            isHosted: boolean;
            isEnterprise: boolean;
        };
        feedbackProbability: number;
        firstLoginAfterSignup: boolean;
        hostedAnnouncement: string;
        docsVersion: string;
        recaptchaSiteKey: string;
        searchState: {
            deviceIds: never[];
            searchTerm: string;
            searchTotal: number;
            sort: {
                direction: string;
            };
        };
        stripeAPIKey: string;
        trackerCode: string;
        uploadsById: {};
        newThreshold: string;
        offlineThreshold: string;
        versionInformation: {
            Integration: string;
            'Mender-Client': string;
            'Mender-Artifact': string;
            'Meta-Mender': string;
            Deployments: string;
            Deviceauth: string;
            Inventory: string;
            GUI: string;
        };
        yesterday: undefined;
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    uploadProgress: (state: immer.WritableDraft<{
        cancelSource: undefined;
        demoArtifactLink: string;
        hostAddress: null;
        snackbar: {
            open: boolean;
            message: string;
            maxWidth: number;
            autoHideDuration: undefined;
            action: undefined;
            children: undefined;
            onClick: undefined;
            onClose: undefined;
        };
        features: {
            hasAuditlogs: boolean;
            hasDeltaProgress: boolean;
            hasMultitenancy: boolean;
            hasDeviceConfig: boolean;
            hasDeviceConnect: boolean;
            hasFeedbackEnabled: boolean;
            hasMonitor: boolean;
            hasReporting: boolean;
            isDemoMode: boolean;
            isHosted: boolean;
            isEnterprise: boolean;
        };
        feedbackProbability: number;
        firstLoginAfterSignup: boolean;
        hostedAnnouncement: string;
        docsVersion: string;
        recaptchaSiteKey: string;
        searchState: {
            deviceIds: never[];
            searchTerm: string;
            searchTotal: number;
            sort: {
                direction: string;
            };
        };
        stripeAPIKey: string;
        trackerCode: string;
        uploadsById: {};
        newThreshold: string;
        offlineThreshold: string;
        versionInformation: {
            Integration: string;
            'Mender-Client': string;
            'Mender-Artifact': string;
            'Meta-Mender': string;
            Deployments: string;
            Deviceauth: string;
            Inventory: string;
            GUI: string;
        };
        yesterday: undefined;
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    cleanUpUpload: (state: immer.WritableDraft<{
        cancelSource: undefined;
        demoArtifactLink: string;
        hostAddress: null;
        snackbar: {
            open: boolean;
            message: string;
            maxWidth: number;
            autoHideDuration: undefined;
            action: undefined;
            children: undefined;
            onClick: undefined;
            onClose: undefined;
        };
        features: {
            hasAuditlogs: boolean;
            hasDeltaProgress: boolean;
            hasMultitenancy: boolean;
            hasDeviceConfig: boolean;
            hasDeviceConnect: boolean;
            hasFeedbackEnabled: boolean;
            hasMonitor: boolean;
            hasReporting: boolean;
            isDemoMode: boolean;
            isHosted: boolean;
            isEnterprise: boolean;
        };
        feedbackProbability: number;
        firstLoginAfterSignup: boolean;
        hostedAnnouncement: string;
        docsVersion: string;
        recaptchaSiteKey: string;
        searchState: {
            deviceIds: never[];
            searchTerm: string;
            searchTotal: number;
            sort: {
                direction: string;
            };
        };
        stripeAPIKey: string;
        trackerCode: string;
        uploadsById: {};
        newThreshold: string;
        offlineThreshold: string;
        versionInformation: {
            Integration: string;
            'Mender-Client': string;
            'Mender-Artifact': string;
            'Meta-Mender': string;
            Deployments: string;
            Deviceauth: string;
            Inventory: string;
            GUI: string;
        };
        yesterday: undefined;
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setVersionInformation: (state: immer.WritableDraft<{
        cancelSource: undefined;
        demoArtifactLink: string;
        hostAddress: null;
        snackbar: {
            open: boolean;
            message: string;
            maxWidth: number;
            autoHideDuration: undefined;
            action: undefined;
            children: undefined;
            onClick: undefined;
            onClose: undefined;
        };
        features: {
            hasAuditlogs: boolean;
            hasDeltaProgress: boolean;
            hasMultitenancy: boolean;
            hasDeviceConfig: boolean;
            hasDeviceConnect: boolean;
            hasFeedbackEnabled: boolean;
            hasMonitor: boolean;
            hasReporting: boolean;
            isDemoMode: boolean;
            isHosted: boolean;
            isEnterprise: boolean;
        };
        feedbackProbability: number;
        firstLoginAfterSignup: boolean;
        hostedAnnouncement: string;
        docsVersion: string;
        recaptchaSiteKey: string;
        searchState: {
            deviceIds: never[];
            searchTerm: string;
            searchTotal: number;
            sort: {
                direction: string;
            };
        };
        stripeAPIKey: string;
        trackerCode: string;
        uploadsById: {};
        newThreshold: string;
        offlineThreshold: string;
        versionInformation: {
            Integration: string;
            'Mender-Client': string;
            'Mender-Artifact': string;
            'Meta-Mender': string;
            Deployments: string;
            Deviceauth: string;
            Inventory: string;
            GUI: string;
        };
        yesterday: undefined;
    }>, action: {
        payload: any;
        type: string;
    }) => void;
    setEnvironmentData: (state: immer.WritableDraft<{
        cancelSource: undefined;
        demoArtifactLink: string;
        hostAddress: null;
        snackbar: {
            open: boolean;
            message: string;
            maxWidth: number;
            autoHideDuration: undefined;
            action: undefined;
            children: undefined;
            onClick: undefined;
            onClose: undefined;
        };
        features: {
            hasAuditlogs: boolean;
            hasDeltaProgress: boolean;
            hasMultitenancy: boolean;
            hasDeviceConfig: boolean;
            hasDeviceConnect: boolean;
            hasFeedbackEnabled: boolean;
            hasMonitor: boolean;
            hasReporting: boolean;
            isDemoMode: boolean;
            isHosted: boolean;
            isEnterprise: boolean;
        };
        feedbackProbability: number;
        firstLoginAfterSignup: boolean;
        hostedAnnouncement: string;
        docsVersion: string;
        recaptchaSiteKey: string;
        searchState: {
            deviceIds: never[];
            searchTerm: string;
            searchTotal: number;
            sort: {
                direction: string;
            };
        };
        stripeAPIKey: string;
        trackerCode: string;
        uploadsById: {};
        newThreshold: string;
        offlineThreshold: string;
        versionInformation: {
            Integration: string;
            'Mender-Client': string;
            'Mender-Artifact': string;
            'Meta-Mender': string;
            Deployments: string;
            Deviceauth: string;
            Inventory: string;
            GUI: string;
        };
        yesterday: undefined;
    }>, action: {
        payload: any;
        type: string;
    }) => any;
}, "app">;
declare const _default: redux.Reducer<{
    cancelSource: undefined;
    demoArtifactLink: string;
    hostAddress: null;
    snackbar: {
        open: boolean;
        message: string;
        maxWidth: number;
        autoHideDuration: undefined;
        action: undefined;
        children: undefined;
        onClick: undefined;
        onClose: undefined;
    };
    features: {
        hasAuditlogs: boolean;
        hasDeltaProgress: boolean;
        hasMultitenancy: boolean;
        hasDeviceConfig: boolean;
        hasDeviceConnect: boolean;
        hasFeedbackEnabled: boolean;
        hasMonitor: boolean;
        hasReporting: boolean;
        isDemoMode: boolean;
        isHosted: boolean;
        isEnterprise: boolean;
    };
    feedbackProbability: number;
    firstLoginAfterSignup: boolean;
    hostedAnnouncement: string;
    docsVersion: string;
    recaptchaSiteKey: string;
    searchState: {
        deviceIds: never[];
        searchTerm: string;
        searchTotal: number;
        sort: {
            direction: string;
        };
    };
    stripeAPIKey: string;
    trackerCode: string;
    uploadsById: {};
    newThreshold: string;
    offlineThreshold: string;
    versionInformation: {
        Integration: string;
        'Mender-Client': string;
        'Mender-Artifact': string;
        'Meta-Mender': string;
        Deployments: string;
        Deviceauth: string;
        Inventory: string;
        GUI: string;
    };
    yesterday: undefined;
}>;

export { actions, appSlice, _default as default, initialState, sliceName };
